Skip to main content
GET
Get an approval process by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

approval_policy_id
string<uuid>
required
process_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
input
object
required

The input for the script.

metadata
object
required

The metadata for the process.

status
enum<string>
required

Tthe current status of the approval policy process.

Available options:
succeeded,
waiting,
failed,
running,
canceled,
timed_out
updated_at
string<date-time>
created_by
string<uuid>
error
object

The error for the process.

script_snapshot

The script snapshot taken when script started.

updated_by
string<uuid>